var httpPostRequest;
var httpPostResult;

function AmiHttpPost(
         url,
         parameters)
{
    var status;

    httpPostResult = false;

    // create the http object
    httpPostRequest = false;
    if(window.XMLHttpRequest)
    {
        // XMLHttpRequest is supported
        httpPostRequest = new XMLHttpRequest();
        if (httpPostRequest.overrideMimeType)
        {
            // expecting a result to be returned with the following type
            httpPostRequest.overrideMimeType('text/txt');
        }
    } 
    else if(window.ActiveXObject)
    {
        // Check if the XMLHTTP object is available
        try
        {
            httpPostRequest = new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch(e)
        {
            try
            {
                httpPostRequest = new ActiveXObject("Microsoft.XMLHTTP");
            }
            catch(e)
            {
                httpPostRequest = false;
            }
        }
    }

    if(httpPostRequest)
    {
        // send the data
        httpPostRequest.onreadystatechange = AmiHttpPostUpdate;
        httpPostRequest.open('POST', url, true);
        httpPostRequest.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        httpPostRequest.setRequestHeader("Content-length", parameters.length);
        httpPostRequest.setRequestHeader("Connection", "close");
        httpPostRequest.send(parameters);
        httpPostResult = true;
    }
    else
    {
        alert('The HTTP interface could not be created');
    }
}

function AmiHttpPostUpdate()
{
    if(httpPostRequest)
    {
        if (httpPostRequest.readyState == 4)
        {
            if (httpPostRequest.status != 200)
            {
                alert('The HTTP command failed');
            }
        }
    }
    else
    {
        alert('The HTTP interface is missing');
    }
}
   
function AmiHttpPostForm(
         url,
         formObj)
{
    var i;
    var params;
    var selectObj;
    var result;

    params = "";
    for (i = 0; i < formObj.childNodes.length; i++)
    {
        if (formObj.childNodes[i].tagName == "INPUT")
        {
            if (formObj.childNodes[i].type == "text")
            {
                params += formObj.childNodes[i].name + "=" + formObj.childNodes[i].value + "&";
            }
            else if (formObj.childNodes[i].type == "hidden")
            {
                params += formObj.childNodes[i].name + "=" + formObj.childNodes[i].value + "&";
            }
            else if (formObj.childNodes[i].type == "checkbox")
            {
                if (formObj.childNodes[i].checked)
                {
                    params += formObj.childNodes[i].name + "=" + formObj.childNodes[i].value + "&";
                }
                else
                {
                    params += formObj.childNodes[i].name + "=&";
                }
            }
            else if (formObj.childNodes[i].type == "radio")
            {
                if (formObj.childNodes[i].checked)
                {
                    params += formObj.childNodes[i].name + "=" + formObj.childNodes[i].value + "&";
                }
            }
            else
            {
                // unknown form input will be ignored
            }
        }   
        else if (formObj.childNodes[i].tagName == "SELECT")
        {
            selectObj = formObj.childNodes[i];
            params += sel.name + "=" + selectObj.options[selectObj.selectedIndex].value + "&";
        }
        else
        {
            // unknown input type is ignored
        }
    }

    result = AmiHttpPost(url, params);

    return result;
}
